Skip to content
Back to Steward

Update multiple tasks

POST
/api/v1/tasks/bulk/update
Media type application/json
object
taskIds
required

Task IDs to update

Array<string>
>= 1 items <= 500 items
patch
required

Common task fields to apply to every selected task

object
status

New status for the task

string
Allowed values: PENDING MISSING_DATA RESOLVED
assigneeId

ID of the user assigned to this task

string
nullable
reviewerId

ID of the reviewer for this task

string
nullable
Examples
{
"taskIds": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012",
"507f1f77bcf86cd799439013"
],
"patch": {
"status": "RESOLVED"
}
}

Tasks updated successfully

Media type application/json
object
taskIds
required
Array<string>
skippedTaskIds
required
Array<string>
changedCount
required
number
skippedCount
required
number
Example
{
"taskIds": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"skippedTaskIds": [
"507f1f77bcf86cd799439013"
],
"changedCount": 2,
"skippedCount": 1
}

Grouped screening tasks must be resolved from the group review

One or more tasks are outside the caller account

One or more tasks were not found